function [ xout, yout,directionout] = simplekinematics( x,y,direction,steering,speed,dt,L )
% Simple zero order discrete kinematics model of the vehicle
% Inputs:
    % x,y       - position (m)
    % direction - heading of the vehicle (rad)
    % steering  - wheel angle (rad)
    % speed     - speed (m/s)
    % L         - axle distance (m)
%Outputs:
    % xout,yout - position (m)
    % directionout - heading of the vehicle (rad)
    xout=x+dt*speed*cos(direction);  
    yout=y+dt*speed*sin(direction);  
    %Turning radius
    R=L/tan(steering);
    %distance
    s=dt*speed;
    directionout=direction+s/R;
end

